Bug 1259672 - [abrt] dnf: main.py:94:main:NameError: name 'self' is not defined
[abrt] dnf: main.py:94:main:NameError: name 'self' is not defined
Status: CLOSED DUPLICATE of bug 1259194
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-03 06:28 EDT by Christian Stadelmann
Modified: 2015-09-04 09:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-09-04 09:59:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.16 KB, text/plain)
2015-09-03 06:28 EDT, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-09-03 06:28:11 EDT
Version-Release number of selected component:

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -OO /usr/bin/dnf install vlc
executable:     /usr/bin/dnf
kernel:         4.2.0-1.fc23.x86_64
runlevel:       N 5
type:           Python3

Truncated backtrace:
main.py:94:main:NameError: name 'self' is not defined

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 148, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 160, in resolving
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 535, in resolve
    raise exc
dnf.exceptions.DepsolveError: nothing provides libhogweed.so.2 needed by ffmpeg-libs-2.6.3-1.fc22.i686

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 195, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 94, in main
    demands = self.cli.demands
NameError: name 'self' is not defined

Local variables in innermost frame:
base: <dnf.cli.cli.BaseCli object at 0x7fa4f63b6748>
args: ['install', 'vlc']
Comment 1 Christian Stadelmann 2015-09-03 06:28:14 EDT
Created attachment 1069729 [details]
File: backtrace
Comment 2 Radek Holy 2015-09-04 09:59:07 EDT
You must know that you are the author of the bug... [1]

[1] https://github.com/rpm-software-management/dnf/pull/341#issuecomment-136982596

*** This bug has been marked as a duplicate of bug 1259194 ***

Note You need to log in before you can comment on or make changes to this bug.